MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022592Community[OCCT] OCCT:Data Exchangepublic2011-06-10 16:242011-11-24 15:51
Reporterszy 
Assigned Topdn 
PrioritynormalSeverityfeature 
StatusassignedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0022592: Corrected processing of parameter read.iges.bspline.continuity
DescriptionRLN_fix405 (contribution).
- Summary: Corrected processing of parameter read.iges.bspline.continuity set to 0
- Detailed description: When read.iges.bspline.continuity set to 0 (with
Interface_Static::SetCVal()), the BSplineSurface is not enforced to become
periodic if it is closed what is done when it's set to 1. In some cases (e.g.
www.firstcadlibrary.com/seatmotor2.igs, entity 397) this leads to wrong
resulting shape after Shape Healing. Instead of added missing seam the face is
split into a compound of 2 invalid faces.

NOTE: See comments in the code, for consistency between TransferSplineSurface()
and TransferBSplineSurface() the former must have a code to convert to periodic
surfaces, and the latter - to IGESConvGeom for enforcing continuity.
It appeared that OCC IGES converter never enforced surface continuity though it
was expected to. It is up to the OCC team to verify if addition of these calls
will not break regressions.

====================================================
Branch OCC22592_IgestobrepSurfaceContinuity is created.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-11-24 15:50 szy Assigned To bugmaster => pdn
2011-11-24 15:50 szy Status acknowledged => assigned
2011-11-24 15:50 szy Resolution suspended => reopened
2011-11-24 15:50 szy Fixed in Version EMPTY =>
2011-11-24 15:50 szy Description Updated View Revisions


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker